<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui" xmlns:b="http://bootsfaces.net/ui">


<h:outputStylesheet name="#{mbAccount.cssSheet}" />
<ui:composition template="#{mbAccount.template}">
	<ui:define name="title">Liste prestations</ui:define>
	<ui:define name="CSS"></ui:define>

	<ui:define name="naving">
				<b:form rendered="#{mbAccount.utilisateur.role == 'Admin'}">
					<b:breadcrumbs>
						<b:navLink icon="home" iconAlign="left" value="Home" href="/AppNomadsWeb/admin/DashbordAdmin.xhtml"></b:navLink>
						<b:navLink icon="list" iconAlign="left" value="Liste des préstations" href="/AppNomadsWeb/prestation/ListePrestation.xhtml"></b:navLink>
						<b:navLink icon="plus" iconAlign="left" value="Création d'une prestation" href="/AppNomadsWeb/prestation/newPrestation.xhtml"></b:navLink>
					</b:breadcrumbs>
				</b:form>
				<b:form rendered="#{mbAccount.utilisateur.role == 'Masseur'}">
					<b:breadcrumbs>
						<b:navLink icon="home" iconAlign="left" value="Home" href="/AppNomadsWeb/masseur/DashbordMasseur.xhtml"></b:navLink>
						<b:navLink icon="ball" value="Location Matériels" href="/AppNomadsWeb/prestation/LocationMateriel.xhtml"></b:navLink>
						<b:navLink icon="euro" value="Achat Mads" href="/AppNomadsWeb/masseur/AchatMads.xhtml"></b:navLink>
					</b:breadcrumbs>
				</b:form>
	</ui:define>
	<ui:define name="content_page">

		<div class="listePartenaire">
			<h1>Liste des Prestations</h1>
			<h:form>
				<b:buttonGroup size="xs" offset="9">
					<b:commandButton value="Toutes" look="primary"
						action="#{mbPrestation.btnshowList(true, true, true)}" />
					<b:commandButton value="Passé" look="danger"
						action="#{mbPrestation.btnshowList(true, false , false)}" />
					<b:commandButton value="Aujourd'hui" look="warning"
						action="#{mbPrestation.btnshowList(false, true, false)}" />
					<b:commandButton value="Futur" look="success"
						action="#{mbPrestation.btnshowList(false, false, true)}" />
				</b:buttonGroup>
				<b:dataTable value="#{mbPrestation.prestations}" var="presta">
					<b:dataTableColumn value="#{presta.idPrestation}" label="Id" />
					<b:dataTableColumn value="#{presta.libelle}"
						label="Nom de la Prestation" />
					<b:dataTableColumn value="#{presta.datePrestation}"
						label="Date de la prestation" />
					<b:dataTableColumn value="#{presta.partenaireEntity.nomCourant}"
						label="Nom du partenaire" />
					<b:dataTableColumn value="#{presta.nbMasseur}"
						label="Nombre max de masseurs" />
					<b:dataTableColumn value="#{presta.typePaiment.libelle}"
						label="Type de paiemant" />
					<b:dataTableColumn value="#{presta.coutsInscription}"
						label="Cout Inscription" />
					<b:dataTableColumn
						value="#{mbPrestation.preInscriptionByPrestation(presta)}"
						label="Masseur Pré-inscrit" />
					<b:dataTableColumn
						value="#{mbPrestation.inscriptionByPrestation(presta)}"
						label="Masseur Inscrit" />

					<b:dataTableColumn label="Detail">
						<b:commandButton value="Voir fiche" iconAwesome="eye" look="info"
							action="#{mbPrestation.showPrestation(presta.idPrestation)}">
							<!-- 							<f:ajax execute="@this" render="@form" /> -->
						</b:commandButton>
					</b:dataTableColumn>
				</b:dataTable>

			</h:form>
		</div>
	</ui:define>

</ui:composition>
</html>
